package meerkat.bulletinboard;

import meerkat.protobuf.BulletinBoardAPI.BatchChunk;

import java.util.List;

/**
 * Created by Arbel Deutsch Peled on 17-Jan-16.
 * Used to store the complete data required for sending a batch data list inside a single object
 */
public class BatchDataContainer {

    public final byte[] signerId;
    public final int batchId;
    public final List<BatchChunk> batchChunkList;
    public final int startPosition;

    public BatchDataContainer(byte[] signerId, int batchId, List<BatchChunk> batchChunkList, int startPosition) {
        this.signerId = signerId;
        this.batchId = batchId;
        this.batchChunkList = batchChunkList;
        this.startPosition = startPosition;
    }
}
